Ankündigung

Einklappen
Keine Ankündigung bisher.

Unterstützte Linux Kernel Versionen

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • Nils Dornblut
    antwortet
    Hallo SteffenK9,

    mit der Technik hatten Sie schon Kontakt? Hier kann man diese sehr speziellen Fragen oft genauer betrachten als es mir jetzt hier im Forum möglich ist. Klar., Sie können hier auch klare Fragen stellen und wir kümmern uns dann um eine Antwort.

    Mit freundlichen Grüßen

    Nils Dornblut

    Einen Kommentar schreiben:


  • SteffenK9
    antwortet
    Hallo,
    ich habe inzwischen herausgefunden was das Problem ist.

    Ubuntu hat die Kompressionsmethode für den kernel geändert. Diese ist mittlerweile lz4. Dummerweise unterstützt aber xen pvgrub die Dekompression von lz4-komprimierten Kerneln nicht.

    https://unix.stackexchange.com/quest...ressed-kernels

    Dementsprechend bekomme ich folgenden Fehler beim Versuch einen aktuellen Ubuntu Distributionskernel (20.04 LTS, Linux 5.4.0-42) zu booten:

    Code:
    xc: error: panic: xc_dom_bzimageloader.c:739: xc_dom_probe_bzimage_kernel: unkno
    wn compression format: Invalid kernel
    xc: error: panic: xc_dom_core.c:621: xc_dom_find_loader: no loader found: Invali
    d kernel
    xc_dom_parse_image returned -1
    close(3)
    
    Error 9: Unknown boot failure
    Das ganze scheint auch aktuell nicht behebbar zu sein, da xen pvgrub die lz4 Dekompression nach wie vor nicht unterstützt. Einzige Lösungen scheinen zu sein, den Kernel manuell zu dekomprimieren oder den Kernel selbst zu bauen und dabei gzip Kompression zu verwenden.

    Grml,
    Steffen
    Zuletzt geändert von SteffenK9; 16.08.2020, 09:38.

    Einen Kommentar schreiben:


  • Nils Dornblut
    antwortet
    Hallo SteffenK9,

    können Sie sich bitte unter Angabe der genauen Daten zur JiffyBox über das Control Panel an die Technik wenden? Wir schauen uns das dann speziell an. Gerne können Sie das Ergebnis dann hier auch veröffentlichen.

    Mit freundlichen Grüßen

    Nils Dornblut

    Einen Kommentar schreiben:


  • SteffenK9
    hat ein Thema erstellt Unterstützte Linux Kernel Versionen.

    Unterstützte Linux Kernel Versionen

    Hallo,
    ich nutze eine Konfiguration, bei der der Distributionskernel genutzt wird. Mit Linux Kernel 5.0 läuft die JiffyBox völlig problemlos. Durch ein Distributionsupdate ist nun Linux 5.3 der Standardkernel.

    Damit bootet die JiffyBox aber nicht. Wähle ich den 5.0er Kernel als Grub Default ist alles gut.

    Kann es sein, dass der 5.3er Kernel nicht unterstützt wird? Gibt es dazu irgendwo Informationen oder gar eine Dokumentation?

    Danke.
Lädt...
X